import request from '@/sheep/request';

const ConsumptionApi = {
	// 获取消费分记录
	getConsumptionLog: (params) => {
		return request({
			url: '/distri/consumption-change-log/page',
			method: 'GET',
			params,
			custom: {
				showLoading: true,
				showError: true,
			},
		});
	},
	// 消费分转让
	createConsumptionLog: (data) => {
		return request({
			url: '/distri/consumption-transfer-log/create',
			method: 'POST',
			data,
			custom: {
				showLoading: true,
				showError: true,
			},
		})
	},
	// 获取消费分转让记录
	getConsumptionTransfersLog: (params) => {
		return request({
			url: '/distri/consumption-transfer-log/page',
			method: 'GET',
			params,
			custom: {
				showLoading: true,
				showError: true,
			},
		});
	},
	quotaTransition: (params) => {
		return request({
			url: '/distri/integral/quotaTransition',
			method: 'PUT',
			data: params,
			custom: {
				showLoading: true,
				showError: true,
			},
		});
	},
};
export default ConsumptionApi;